Open Lighting Architecture: ola::plugin::dmx4linux::Device Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
ola::plugin::dmx4linux::Device Class Referenceabstract
Inheritance diagram for ola::plugin::dmx4linux::Device:

## Public Member Functions
| Device (AbstractPlugin *owner, const std::string &name)
const std::string | Name () const
void | SetName (const std::string &name)
AbstractPlugin * | Owner () const
std::string | UniqueId () const
virtual std::string | DeviceId () const=0
| The device ID.
bool | IsEnabled () const
bool | Start ()
bool | Stop ()
bool | AllowLooping () const
bool | AllowMultiPortPatching () const
bool | AddPort (InputPort *port)
bool | AddPort (OutputPort *port)
void | InputPorts (std::vector< InputPort * > *ports) const
void | OutputPorts (std::vector< OutputPort * > *ports) const
InputPort * | GetInputPort (unsigned int port_id) const
OutputPort * | GetOutputPort (unsigned int port_id) const
void | DeleteAllPorts ()
virtual void | Configure (ola::rpc::RpcController *controller, const std::string &request, std::string *response, ConfigureCallback *done)

## Protected Member Functions
virtual bool | StartHook ()
| Called during Start().
virtual void | PrePortStop ()
virtual void | PostPortStop ()

## Additional Inherited Members
Public Types inherited from ola::AbstractDevice
typedef BaseCallback0< void > | ConfigureCallback

## Member Function Documentation

## ◆ AllowLooping()

bool ola::Device::AllowLooping | ( |  | ) | const
| inlinevirtual

Implements ola::AbstractDevice.

## ◆ AllowMultiPortPatching()

bool ola::Device::AllowMultiPortPatching | ( |  | ) | const
| inlinevirtual

Implements ola::AbstractDevice.

## ◆ Configure()

void ola::Device::Configure | ( | ola::rpc::RpcController * | controller,
|  | const std::string & | request,
|  | std::string * | response,
|  | ConfigureCallback * | done )
| virtual

Implements ola::AbstractDevice.

## ◆ DeviceId()

virtual std::string ola::Device::DeviceId | ( |  | ) | const
| pure virtual

The device ID.

Returns
  an id which is unique within the plugin,

## ◆ GetInputPort()

InputPort * ola::Device::GetInputPort | ( | unsigned int | port_id | ) | const
| virtual

Implements ola::AbstractDevice.

## ◆ GetOutputPort()

OutputPort * ola::Device::GetOutputPort | ( | unsigned int | port_id | ) | const
| virtual

Implements ola::AbstractDevice.

## ◆ InputPorts()

void ola::Device::InputPorts | ( | std::vector< InputPort * > * | ports | ) | const
| virtual

Implements ola::AbstractDevice.

## ◆ Name()

const std::string ola::Device::Name | ( |  | ) | const
| inlinevirtual

Implements ola::AbstractDevice.

## ◆ OutputPorts()

void ola::Device::OutputPorts | ( | std::vector< OutputPort * > * | ports | ) | const
| virtual

Implements ola::AbstractDevice.

## ◆ Owner()

AbstractPlugin * ola::Device::Owner | ( |  | ) | const
| inlinevirtual

Implements ola::AbstractDevice.

## ◆ StartHook()

virtual bool ola::Device::StartHook | ( |  | ) |
| inlineprotectedvirtual

Called during Start().

This allows the subclass to perform device initialization.

## ◆ Stop()

bool ola::Device::Stop | ( |  | ) |
| virtual

Implements ola::AbstractDevice.

## ◆ UniqueId()

string ola::Device::UniqueId | ( |  | ) | const
| virtual

Implements ola::AbstractDevice.

The documentation for this class was generated from the following files:

- include/olad/Device.h
- olad/plugin_api/Device.cpp